Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
1dee63922a6c039a7bbdfe2a9185afa2a178ce77
[simgrid.git] / examples / msg / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 VPATH = @srcdir@
23 pkgdatadir = $(datadir)/@PACKAGE@
24 pkglibdir = $(libdir)/@PACKAGE@
25 pkgincludedir = $(includedir)/@PACKAGE@
26 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
27 install_sh_DATA = $(install_sh) -c -m 644
28 install_sh_PROGRAM = $(install_sh) -c
29 install_sh_SCRIPT = $(install_sh) -c
30 INSTALL_HEADER = $(INSTALL_DATA)
31 transform = $(program_transform_name)
32 NORMAL_INSTALL = :
33 PRE_INSTALL = :
34 POST_INSTALL = :
35 NORMAL_UNINSTALL = :
36 PRE_UNINSTALL = :
37 POST_UNINSTALL = :
38 build_triplet = @build@
39 host_triplet = @host@
40 target_triplet = @target@
41 @HAVE_GTNETS_TRUE@am__append_1 = gtnets/gtnets 
42 bin_PROGRAMS = sendrecv/sendrecv$(EXEEXT) suspend/suspend$(EXEEXT) \
43         masterslave/masterslave$(EXEEXT) \
44         masterslave/masterslave_forwarder$(EXEEXT) \
45         masterslave/masterslave_failure$(EXEEXT) \
46         masterslave/masterslave_bypass$(EXEEXT) $(am__EXEEXT_1)
47 @HAVE_GTNETS_TRUE@am__append_2 = gtnets/gtnets 
48 @HAVE_GTNETS_FALSE@am__append_3 = gtnets/gtnets.c
49 DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
50         $(top_srcdir)/acmacro/dist-files.mk
51 subdir = examples/msg
52 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
53 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
54         $(top_srcdir)/acmacro/compiler-flags.m4 \
55         $(top_srcdir)/acmacro/context.m4 \
56         $(top_srcdir)/acmacro/fancy_configury.m4 \
57         $(top_srcdir)/acmacro/flex.m4 \
58         $(top_srcdir)/acmacro/gras_arch.m4 \
59         $(top_srcdir)/acmacro/print_null.m4 \
60         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
61 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
62         $(ACLOCAL_M4)
63 mkinstalldirs = $(install_sh) -d
64 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
65 CONFIG_CLEAN_FILES =
66 @HAVE_GTNETS_TRUE@am__EXEEXT_1 = gtnets/gtnets$(EXEEXT)
67 am__installdirs = "$(DESTDIR)$(bindir)"
68 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
69 PROGRAMS = $(bin_PROGRAMS)
70 am__gtnets_gtnets_SOURCES_DIST = gtnets/gtnets.c
71 @HAVE_GTNETS_TRUE@am_gtnets_gtnets_OBJECTS = gtnets.$(OBJEXT)
72 gtnets_gtnets_OBJECTS = $(am_gtnets_gtnets_OBJECTS)
73 @HAVE_GTNETS_TRUE@gtnets_gtnets_DEPENDENCIES =  \
74 @HAVE_GTNETS_TRUE@      $(top_builddir)/src/libsimgrid.la
75 am__dirstamp = $(am__leading_dot)dirstamp
76 am_masterslave_masterslave_OBJECTS = masterslave.$(OBJEXT)
77 masterslave_masterslave_OBJECTS =  \
78         $(am_masterslave_masterslave_OBJECTS)
79 masterslave_masterslave_DEPENDENCIES =  \
80         $(top_builddir)/src/libsimgrid.la
81 am_masterslave_masterslave_bypass_OBJECTS =  \
82         masterslave_bypass.$(OBJEXT)
83 masterslave_masterslave_bypass_OBJECTS =  \
84         $(am_masterslave_masterslave_bypass_OBJECTS)
85 masterslave_masterslave_bypass_DEPENDENCIES =  \
86         $(top_builddir)/src/libsimgrid.la
87 am_masterslave_masterslave_failure_OBJECTS =  \
88         masterslave_failure.$(OBJEXT)
89 masterslave_masterslave_failure_OBJECTS =  \
90         $(am_masterslave_masterslave_failure_OBJECTS)
91 masterslave_masterslave_failure_DEPENDENCIES =  \
92         $(top_builddir)/src/libsimgrid.la
93 am_masterslave_masterslave_forwarder_OBJECTS =  \
94         masterslave_forwarder.$(OBJEXT)
95 masterslave_masterslave_forwarder_OBJECTS =  \
96         $(am_masterslave_masterslave_forwarder_OBJECTS)
97 masterslave_masterslave_forwarder_DEPENDENCIES =  \
98         $(top_builddir)/src/libsimgrid.la
99 am_sendrecv_sendrecv_OBJECTS = sendrecv.$(OBJEXT)
100 sendrecv_sendrecv_OBJECTS = $(am_sendrecv_sendrecv_OBJECTS)
101 sendrecv_sendrecv_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
102 am_suspend_suspend_OBJECTS = suspend.$(OBJEXT)
103 suspend_suspend_OBJECTS = $(am_suspend_suspend_OBJECTS)
104 suspend_suspend_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
105 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
106 depcomp = $(SHELL) $(top_srcdir)/depcomp
107 am__depfiles_maybe = depfiles
108 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
109         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
110 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
111         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
112         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
113 CCLD = $(CC)
114 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
115         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
116         $(LDFLAGS) -o $@
117 SOURCES = $(gtnets_gtnets_SOURCES) $(masterslave_masterslave_SOURCES) \
118         $(masterslave_masterslave_bypass_SOURCES) \
119         $(masterslave_masterslave_failure_SOURCES) \
120         $(masterslave_masterslave_forwarder_SOURCES) \
121         $(sendrecv_sendrecv_SOURCES) $(suspend_suspend_SOURCES)
122 DIST_SOURCES = $(am__gtnets_gtnets_SOURCES_DIST) \
123         $(masterslave_masterslave_SOURCES) \
124         $(masterslave_masterslave_bypass_SOURCES) \
125         $(masterslave_masterslave_failure_SOURCES) \
126         $(masterslave_masterslave_forwarder_SOURCES) \
127         $(sendrecv_sendrecv_SOURCES) $(suspend_suspend_SOURCES)
128 ETAGS = etags
129 CTAGS = ctags
130 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
131 ACLOCAL = @ACLOCAL@
132 ADDR2LINE = @ADDR2LINE@
133 AMTAR = @AMTAR@
134 AM_CPPFLAGS = @AM_CPPFLAGS@
135 AR = @AR@
136 AS = @AS@
137 AUTOCONF = @AUTOCONF@
138 AUTOHEADER = @AUTOHEADER@
139 AUTOMAKE = @AUTOMAKE@
140 AWK = @AWK@
141 BASH = @BASH@
142 CC = @CC@
143 CCDEPMODE = @CCDEPMODE@
144 CFLAGS = @CFLAGS@
145 CPP = @CPP@
146 CPPFLAGS = @CPPFLAGS@
147 CXX = @CXX@
148 CXXCPP = @CXXCPP@
149 CXXDEPMODE = @CXXDEPMODE@
150 CXXFLAGS = @CXXFLAGS@
151 CYGPATH_W = @CYGPATH_W@
152 DEFS = @DEFS@
153 DEPDIR = @DEPDIR@
154 DLLTOOL = @DLLTOOL@
155 DOXYGEN = @DOXYGEN@
156 ECHO = @ECHO@
157 ECHO_C = @ECHO_C@
158 ECHO_N = @ECHO_N@
159 ECHO_T = @ECHO_T@
160 EGREP = @EGREP@
161 EXEEXT = @EXEEXT@
162 FLEXML = @FLEXML@
163 GCJ = @GCJ@
164 GCJDEPMODE = @GCJDEPMODE@
165 GCJFLAGS = @GCJFLAGS@
166 GRAS_DEP = @GRAS_DEP@
167 GREP = @GREP@
168 INSTALL = @INSTALL@
169 INSTALL_DATA = @INSTALL_DATA@
170 INSTALL_PROGRAM = @INSTALL_PROGRAM@
171 INSTALL_SCRIPT = @INSTALL_SCRIPT@
172 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
173 JAR = @JAR@
174 JAVA = @JAVA@
175 JAVAC = @JAVAC@
176 LDFLAGS = @LDFLAGS@
177 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
178 LEX = @LEX@
179 LEXLIB = @LEXLIB@
180 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
181 LIBOBJS = @LIBOBJS@
182 LIBS = @LIBS@
183 LIBTOOL = @LIBTOOL@
184 LN_S = @LN_S@
185 LTLIBOBJS = @LTLIBOBJS@
186 MAINT = @MAINT@
187 MAKEINFO = @MAKEINFO@
188 MD5SUM = @MD5SUM@
189 MKDIR_P = @MKDIR_P@
190 OBJDUMP = @OBJDUMP@
191 OBJEXT = @OBJEXT@
192 PACKAGE = @PACKAGE@
193 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
194 PACKAGE_NAME = @PACKAGE_NAME@
195 PACKAGE_STRING = @PACKAGE_STRING@
196 PACKAGE_TARNAME = @PACKAGE_TARNAME@
197 PACKAGE_VERSION = @PACKAGE_VERSION@
198 PATH_SEPARATOR = @PATH_SEPARATOR@
199 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
200 RANLIB = @RANLIB@
201 SET_MAKE = @SET_MAKE@
202 SHELL = @SHELL@
203 SIMGRID_DEP = @SIMGRID_DEP@
204 SMPI_DEP = @SMPI_DEP@
205 STRIP = @STRIP@
206 VERSION = @VERSION@
207 WARNING = @WARNING@
208 abs_builddir = @abs_builddir@
209 abs_srcdir = @abs_srcdir@
210 abs_top_builddir = @abs_top_builddir@
211 abs_top_srcdir = @abs_top_srcdir@
212 ac_configure_args = @ac_configure_args@
213 ac_ct_CC = @ac_ct_CC@
214 ac_ct_CXX = @ac_ct_CXX@
215 am__include = @am__include@
216 am__leading_dot = @am__leading_dot@
217 am__quote = @am__quote@
218 am__tar = @am__tar@
219 am__untar = @am__untar@
220 bindir = @bindir@
221 build = @build@
222 build_alias = @build_alias@
223 build_cpu = @build_cpu@
224 build_id = @build_id@
225 build_os = @build_os@
226 build_vendor = @build_vendor@
227 builddir = @builddir@
228 datadir = @datadir@
229 datarootdir = @datarootdir@
230 docdir = @docdir@
231 dvidir = @dvidir@
232 exec_prefix = @exec_prefix@
233 host = @host@
234 host_alias = @host_alias@
235 host_cpu = @host_cpu@
236 host_os = @host_os@
237 host_vendor = @host_vendor@
238 htmldir = @htmldir@
239 includedir = @includedir@
240 infodir = @infodir@
241 install_sh = @install_sh@
242 libdir = @libdir@
243 libexecdir = @libexecdir@
244 localedir = @localedir@
245 localstatedir = @localstatedir@
246 mandir = @mandir@
247 mkdir_p = @mkdir_p@
248 oldincludedir = @oldincludedir@
249 pdfdir = @pdfdir@
250 prefix = @prefix@
251 program_transform_name = @program_transform_name@
252 psdir = @psdir@
253 pth_skaddr_makecontext = @pth_skaddr_makecontext@
254 pth_sksize_makecontext = @pth_sksize_makecontext@
255 sbindir = @sbindir@
256 sharedstatedir = @sharedstatedir@
257 srcdir = @srcdir@
258 sysconfdir = @sysconfdir@
259 target = @target@
260 target_alias = @target_alias@
261 target_cpu = @target_cpu@
262 target_os = @target_os@
263 target_vendor = @target_vendor@
264 top_builddir = @top_builddir@
265 top_srcdir = @top_srcdir@
266 INCLUDES = -I$(top_srcdir)/include
267 AM_CFLAGS = -g
268 EXTRA_DIST = msg_platform.xml small_platform.xml \
269         sendrecv/platform_sendrecv.xml \
270         sendrecv/deployment_sendrecv.xml \
271         suspend/deployment_suspend.xml \
272         masterslave/deployment_masterslave_forwarder.xml \
273         masterslave/deployment_masterslave.xml \
274         gtnets/r-n200-f50-s4-2-d.xml gtnets/onelink-p.xml \
275         gtnets/onelink-d.xml gtnets/r-n200-f50-s4-2-p.xml \
276         gtnets/dogbone-d.xml gtnets/dogbone-p.xml $(am__append_3)
277 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
278 TESTS = sendrecv/sendrecv_KCCFLN05.tesh \
279         sendrecv/sendrecv_Vegas.tesh \
280         sendrecv/sendrecv_Reno.tesh \
281         suspend/suspend.tesh \
282         masterslave/masterslave.tesh \
283         masterslave/masterslave_forwarder.tesh \
284         masterslave/masterslave_bypass.tesh
285
286 @HAVE_SDP_TRUE@BROKEN_TESTS = sendrecv/sendrecv_SDP.tesh
287 CLEANFILES = sendrecv/*~ sendrecv/sendrecv suspend/*~ suspend/suspend \
288         masterslave/*~ masterslave/masterslave \
289         masterslave/masterslave_forwarder \
290         masterslave/masterslave_bypass $(am__append_1)
291
292 # sendrecv simple example
293 sendrecv_sendrecv_SOURCES = sendrecv/sendrecv.c
294 sendrecv_sendrecv_LDADD = $(top_builddir)/src/libsimgrid.la
295
296 # suspend/resume simple example
297 suspend_suspend_SOURCES = suspend/suspend.c
298 suspend_suspend_LDADD = $(top_builddir)/src/libsimgrid.la
299
300 # master/slave application example
301 masterslave_masterslave_SOURCES = masterslave/masterslave.c
302 masterslave_masterslave_LDADD = $(top_builddir)/src/libsimgrid.la
303
304 # master/slave application example using a forwarder module
305 masterslave_masterslave_forwarder_SOURCES = masterslave/masterslave_forwarder.c
306 masterslave_masterslave_forwarder_LDADD = $(top_builddir)/src/libsimgrid.la
307
308 # master/slave application example with failures
309 masterslave_masterslave_failure_SOURCES = masterslave/masterslave_failure.c
310 masterslave_masterslave_failure_LDADD = $(top_builddir)/src/libsimgrid.la
311
312 # bypass the surf xml parser
313 masterslave_masterslave_bypass_SOURCES = masterslave/masterslave_bypass.c
314 masterslave_masterslave_bypass_LDADD = $(top_builddir)/src/libsimgrid.la
315
316 # verify if the GTNETS feature is working
317 @HAVE_GTNETS_TRUE@gtnets_gtnets_SOURCES = gtnets/gtnets.c
318 @HAVE_GTNETS_TRUE@gtnets_gtnets_LDADD = $(top_builddir)/src/libsimgrid.la
319 all: all-am
320
321 .SUFFIXES:
322 .SUFFIXES: .c .lo .o .obj
323 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
324         @for dep in $?; do \
325           case '$(am__configure_deps)' in \
326             *$$dep*) \
327               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
328                 && exit 0; \
329               exit 1;; \
330           esac; \
331         done; \
332         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/msg/Makefile'; \
333         cd $(top_srcdir) && \
334           $(AUTOMAKE) --gnu  examples/msg/Makefile
335 .PRECIOUS: Makefile
336 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
337         @case '$?' in \
338           *config.status*) \
339             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
340           *) \
341             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
342             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
343         esac;
344
345 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
346         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
347
348 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
349         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
350 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
351         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
352 install-binPROGRAMS: $(bin_PROGRAMS)
353         @$(NORMAL_INSTALL)
354         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
355         @list='$(bin_PROGRAMS)'; for p in $$list; do \
356           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
357           if test -f $$p \
358              || test -f $$p1 \
359           ; then \
360             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
361            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
362            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
363           else :; fi; \
364         done
365
366 uninstall-binPROGRAMS:
367         @$(NORMAL_UNINSTALL)
368         @list='$(bin_PROGRAMS)'; for p in $$list; do \
369           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
370           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
371           rm -f "$(DESTDIR)$(bindir)/$$f"; \
372         done
373
374 clean-binPROGRAMS:
375         @list='$(bin_PROGRAMS)'; for p in $$list; do \
376           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
377           echo " rm -f $$p $$f"; \
378           rm -f $$p $$f ; \
379         done
380 gtnets/$(am__dirstamp):
381         @$(MKDIR_P) gtnets
382         @: > gtnets/$(am__dirstamp)
383 gtnets/gtnets$(EXEEXT): $(gtnets_gtnets_OBJECTS) $(gtnets_gtnets_DEPENDENCIES) gtnets/$(am__dirstamp)
384         @rm -f gtnets/gtnets$(EXEEXT)
385         $(LINK) $(gtnets_gtnets_OBJECTS) $(gtnets_gtnets_LDADD) $(LIBS)
386 masterslave/$(am__dirstamp):
387         @$(MKDIR_P) masterslave
388         @: > masterslave/$(am__dirstamp)
389 masterslave/masterslave$(EXEEXT): $(masterslave_masterslave_OBJECTS) $(masterslave_masterslave_DEPENDENCIES) masterslave/$(am__dirstamp)
390         @rm -f masterslave/masterslave$(EXEEXT)
391         $(LINK) $(masterslave_masterslave_OBJECTS) $(masterslave_masterslave_LDADD) $(LIBS)
392 masterslave/masterslave_bypass$(EXEEXT): $(masterslave_masterslave_bypass_OBJECTS) $(masterslave_masterslave_bypass_DEPENDENCIES) masterslave/$(am__dirstamp)
393         @rm -f masterslave/masterslave_bypass$(EXEEXT)
394         $(LINK) $(masterslave_masterslave_bypass_OBJECTS) $(masterslave_masterslave_bypass_LDADD) $(LIBS)
395 masterslave/masterslave_failure$(EXEEXT): $(masterslave_masterslave_failure_OBJECTS) $(masterslave_masterslave_failure_DEPENDENCIES) masterslave/$(am__dirstamp)
396         @rm -f masterslave/masterslave_failure$(EXEEXT)
397         $(LINK) $(masterslave_masterslave_failure_OBJECTS) $(masterslave_masterslave_failure_LDADD) $(LIBS)
398 masterslave/masterslave_forwarder$(EXEEXT): $(masterslave_masterslave_forwarder_OBJECTS) $(masterslave_masterslave_forwarder_DEPENDENCIES) masterslave/$(am__dirstamp)
399         @rm -f masterslave/masterslave_forwarder$(EXEEXT)
400         $(LINK) $(masterslave_masterslave_forwarder_OBJECTS) $(masterslave_masterslave_forwarder_LDADD) $(LIBS)
401 sendrecv/$(am__dirstamp):
402         @$(MKDIR_P) sendrecv
403         @: > sendrecv/$(am__dirstamp)
404 sendrecv/sendrecv$(EXEEXT): $(sendrecv_sendrecv_OBJECTS) $(sendrecv_sendrecv_DEPENDENCIES) sendrecv/$(am__dirstamp)
405         @rm -f sendrecv/sendrecv$(EXEEXT)
406         $(LINK) $(sendrecv_sendrecv_OBJECTS) $(sendrecv_sendrecv_LDADD) $(LIBS)
407 suspend/$(am__dirstamp):
408         @$(MKDIR_P) suspend
409         @: > suspend/$(am__dirstamp)
410 suspend/suspend$(EXEEXT): $(suspend_suspend_OBJECTS) $(suspend_suspend_DEPENDENCIES) suspend/$(am__dirstamp)
411         @rm -f suspend/suspend$(EXEEXT)
412         $(LINK) $(suspend_suspend_OBJECTS) $(suspend_suspend_LDADD) $(LIBS)
413
414 mostlyclean-compile:
415         -rm -f *.$(OBJEXT)
416
417 distclean-compile:
418         -rm -f *.tab.c
419
420 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gtnets.Po@am__quote@
421 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/masterslave.Po@am__quote@
422 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/masterslave_bypass.Po@am__quote@
423 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/masterslave_failure.Po@am__quote@
424 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/masterslave_forwarder.Po@am__quote@
425 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sendrecv.Po@am__quote@
426 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/suspend.Po@am__quote@
427
428 .c.o:
429 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
430 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
431 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
432 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
433 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
434
435 .c.obj:
436 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
437 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
438 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
439 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
440 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
441
442 .c.lo:
443 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
444 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
445 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
446 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
447 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
448
449 gtnets.o: gtnets/gtnets.c
450 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gtnets.o -MD -MP -MF $(DEPDIR)/gtnets.Tpo -c -o gtnets.o `test -f 'gtnets/gtnets.c' || echo '$(srcdir)/'`gtnets/gtnets.c
451 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/gtnets.Tpo $(DEPDIR)/gtnets.Po
452 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gtnets/gtnets.c' object='gtnets.o' libtool=no @AMDEPBACKSLASH@
453 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
454 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gtnets.o `test -f 'gtnets/gtnets.c' || echo '$(srcdir)/'`gtnets/gtnets.c
455
456 gtnets.obj: gtnets/gtnets.c
457 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gtnets.obj -MD -MP -MF $(DEPDIR)/gtnets.Tpo -c -o gtnets.obj `if test -f 'gtnets/gtnets.c'; then $(CYGPATH_W) 'gtnets/gtnets.c'; else $(CYGPATH_W) '$(srcdir)/gtnets/gtnets.c'; fi`
458 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/gtnets.Tpo $(DEPDIR)/gtnets.Po
459 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gtnets/gtnets.c' object='gtnets.obj' libtool=no @AMDEPBACKSLASH@
460 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
461 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gtnets.obj `if test -f 'gtnets/gtnets.c'; then $(CYGPATH_W) 'gtnets/gtnets.c'; else $(CYGPATH_W) '$(srcdir)/gtnets/gtnets.c'; fi`
462
463 masterslave.o: masterslave/masterslave.c
464 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave.o -MD -MP -MF $(DEPDIR)/masterslave.Tpo -c -o masterslave.o `test -f 'masterslave/masterslave.c' || echo '$(srcdir)/'`masterslave/masterslave.c
465 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave.Tpo $(DEPDIR)/masterslave.Po
466 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave.c' object='masterslave.o' libtool=no @AMDEPBACKSLASH@
467 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
468 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave.o `test -f 'masterslave/masterslave.c' || echo '$(srcdir)/'`masterslave/masterslave.c
469
470 masterslave.obj: masterslave/masterslave.c
471 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave.obj -MD -MP -MF $(DEPDIR)/masterslave.Tpo -c -o masterslave.obj `if test -f 'masterslave/masterslave.c'; then $(CYGPATH_W) 'masterslave/masterslave.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave.c'; fi`
472 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave.Tpo $(DEPDIR)/masterslave.Po
473 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave.c' object='masterslave.obj' libtool=no @AMDEPBACKSLASH@
474 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
475 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave.obj `if test -f 'masterslave/masterslave.c'; then $(CYGPATH_W) 'masterslave/masterslave.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave.c'; fi`
476
477 masterslave_bypass.o: masterslave/masterslave_bypass.c
478 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave_bypass.o -MD -MP -MF $(DEPDIR)/masterslave_bypass.Tpo -c -o masterslave_bypass.o `test -f 'masterslave/masterslave_bypass.c' || echo '$(srcdir)/'`masterslave/masterslave_bypass.c
479 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave_bypass.Tpo $(DEPDIR)/masterslave_bypass.Po
480 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave_bypass.c' object='masterslave_bypass.o' libtool=no @AMDEPBACKSLASH@
481 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
482 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave_bypass.o `test -f 'masterslave/masterslave_bypass.c' || echo '$(srcdir)/'`masterslave/masterslave_bypass.c
483
484 masterslave_bypass.obj: masterslave/masterslave_bypass.c
485 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave_bypass.obj -MD -MP -MF $(DEPDIR)/masterslave_bypass.Tpo -c -o masterslave_bypass.obj `if test -f 'masterslave/masterslave_bypass.c'; then $(CYGPATH_W) 'masterslave/masterslave_bypass.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave_bypass.c'; fi`
486 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave_bypass.Tpo $(DEPDIR)/masterslave_bypass.Po
487 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave_bypass.c' object='masterslave_bypass.obj' libtool=no @AMDEPBACKSLASH@
488 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
489 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave_bypass.obj `if test -f 'masterslave/masterslave_bypass.c'; then $(CYGPATH_W) 'masterslave/masterslave_bypass.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave_bypass.c'; fi`
490
491 masterslave_failure.o: masterslave/masterslave_failure.c
492 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave_failure.o -MD -MP -MF $(DEPDIR)/masterslave_failure.Tpo -c -o masterslave_failure.o `test -f 'masterslave/masterslave_failure.c' || echo '$(srcdir)/'`masterslave/masterslave_failure.c
493 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave_failure.Tpo $(DEPDIR)/masterslave_failure.Po
494 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave_failure.c' object='masterslave_failure.o' libtool=no @AMDEPBACKSLASH@
495 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
496 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave_failure.o `test -f 'masterslave/masterslave_failure.c' || echo '$(srcdir)/'`masterslave/masterslave_failure.c
497
498 masterslave_failure.obj: masterslave/masterslave_failure.c
499 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave_failure.obj -MD -MP -MF $(DEPDIR)/masterslave_failure.Tpo -c -o masterslave_failure.obj `if test -f 'masterslave/masterslave_failure.c'; then $(CYGPATH_W) 'masterslave/masterslave_failure.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave_failure.c'; fi`
500 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave_failure.Tpo $(DEPDIR)/masterslave_failure.Po
501 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave_failure.c' object='masterslave_failure.obj' libtool=no @AMDEPBACKSLASH@
502 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
503 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave_failure.obj `if test -f 'masterslave/masterslave_failure.c'; then $(CYGPATH_W) 'masterslave/masterslave_failure.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave_failure.c'; fi`
504
505 masterslave_forwarder.o: masterslave/masterslave_forwarder.c
506 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave_forwarder.o -MD -MP -MF $(DEPDIR)/masterslave_forwarder.Tpo -c -o masterslave_forwarder.o `test -f 'masterslave/masterslave_forwarder.c' || echo '$(srcdir)/'`masterslave/masterslave_forwarder.c
507 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave_forwarder.Tpo $(DEPDIR)/masterslave_forwarder.Po
508 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave_forwarder.c' object='masterslave_forwarder.o' libtool=no @AMDEPBACKSLASH@
509 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
510 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave_forwarder.o `test -f 'masterslave/masterslave_forwarder.c' || echo '$(srcdir)/'`masterslave/masterslave_forwarder.c
511
512 masterslave_forwarder.obj: masterslave/masterslave_forwarder.c
513 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave_forwarder.obj -MD -MP -MF $(DEPDIR)/masterslave_forwarder.Tpo -c -o masterslave_forwarder.obj `if test -f 'masterslave/masterslave_forwarder.c'; then $(CYGPATH_W) 'masterslave/masterslave_forwarder.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave_forwarder.c'; fi`
514 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave_forwarder.Tpo $(DEPDIR)/masterslave_forwarder.Po
515 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave_forwarder.c' object='masterslave_forwarder.obj' libtool=no @AMDEPBACKSLASH@
516 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
517 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave_forwarder.obj `if test -f 'masterslave/masterslave_forwarder.c'; then $(CYGPATH_W) 'masterslave/masterslave_forwarder.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave_forwarder.c'; fi`
518
519 sendrecv.o: sendrecv/sendrecv.c
520 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sendrecv.o -MD -MP -MF $(DEPDIR)/sendrecv.Tpo -c -o sendrecv.o `test -f 'sendrecv/sendrecv.c' || echo '$(srcdir)/'`sendrecv/sendrecv.c
521 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sendrecv.Tpo $(DEPDIR)/sendrecv.Po
522 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sendrecv/sendrecv.c' object='sendrecv.o' libtool=no @AMDEPBACKSLASH@
523 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
524 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sendrecv.o `test -f 'sendrecv/sendrecv.c' || echo '$(srcdir)/'`sendrecv/sendrecv.c
525
526 sendrecv.obj: sendrecv/sendrecv.c
527 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sendrecv.obj -MD -MP -MF $(DEPDIR)/sendrecv.Tpo -c -o sendrecv.obj `if test -f 'sendrecv/sendrecv.c'; then $(CYGPATH_W) 'sendrecv/sendrecv.c'; else $(CYGPATH_W) '$(srcdir)/sendrecv/sendrecv.c'; fi`
528 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sendrecv.Tpo $(DEPDIR)/sendrecv.Po
529 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sendrecv/sendrecv.c' object='sendrecv.obj' libtool=no @AMDEPBACKSLASH@
530 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
531 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sendrecv.obj `if test -f 'sendrecv/sendrecv.c'; then $(CYGPATH_W) 'sendrecv/sendrecv.c'; else $(CYGPATH_W) '$(srcdir)/sendrecv/sendrecv.c'; fi`
532
533 suspend.o: suspend/suspend.c
534 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT suspend.o -MD -MP -MF $(DEPDIR)/suspend.Tpo -c -o suspend.o `test -f 'suspend/suspend.c' || echo '$(srcdir)/'`suspend/suspend.c
535 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/suspend.Tpo $(DEPDIR)/suspend.Po
536 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='suspend/suspend.c' object='suspend.o' libtool=no @AMDEPBACKSLASH@
537 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
538 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o suspend.o `test -f 'suspend/suspend.c' || echo '$(srcdir)/'`suspend/suspend.c
539
540 suspend.obj: suspend/suspend.c
541 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT suspend.obj -MD -MP -MF $(DEPDIR)/suspend.Tpo -c -o suspend.obj `if test -f 'suspend/suspend.c'; then $(CYGPATH_W) 'suspend/suspend.c'; else $(CYGPATH_W) '$(srcdir)/suspend/suspend.c'; fi`
542 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/suspend.Tpo $(DEPDIR)/suspend.Po
543 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='suspend/suspend.c' object='suspend.obj' libtool=no @AMDEPBACKSLASH@
544 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
545 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o suspend.obj `if test -f 'suspend/suspend.c'; then $(CYGPATH_W) 'suspend/suspend.c'; else $(CYGPATH_W) '$(srcdir)/suspend/suspend.c'; fi`
546
547 mostlyclean-libtool:
548         -rm -f *.lo
549
550 clean-libtool:
551         -rm -rf .libs _libs
552
553 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
554         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
555         unique=`for i in $$list; do \
556             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
557           done | \
558           $(AWK) '    { files[$$0] = 1; } \
559                END { for (i in files) print i; }'`; \
560         mkid -fID $$unique
561 tags: TAGS
562
563 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
564                 $(TAGS_FILES) $(LISP)
565         tags=; \
566         here=`pwd`; \
567         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
568         unique=`for i in $$list; do \
569             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
570           done | \
571           $(AWK) '    { files[$$0] = 1; } \
572                END { for (i in files) print i; }'`; \
573         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
574           test -n "$$unique" || unique=$$empty_fix; \
575           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
576             $$tags $$unique; \
577         fi
578 ctags: CTAGS
579 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
580                 $(TAGS_FILES) $(LISP)
581         tags=; \
582         here=`pwd`; \
583         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
584         unique=`for i in $$list; do \
585             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
586           done | \
587           $(AWK) '    { files[$$0] = 1; } \
588                END { for (i in files) print i; }'`; \
589         test -z "$(CTAGS_ARGS)$$tags$$unique" \
590           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
591              $$tags $$unique
592
593 GTAGS:
594         here=`$(am__cd) $(top_builddir) && pwd` \
595           && cd $(top_srcdir) \
596           && gtags -i $(GTAGS_ARGS) $$here
597
598 distclean-tags:
599         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
600
601 check-TESTS: $(TESTS)
602         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
603         srcdir=$(srcdir); export srcdir; \
604         list=' $(TESTS) '; \
605         if test -n "$$list"; then \
606           for tst in $$list; do \
607             if test -f ./$$tst; then dir=./; \
608             elif test -f $$tst; then dir=; \
609             else dir="$(srcdir)/"; fi; \
610             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
611               all=`expr $$all + 1`; \
612               case " $(XFAIL_TESTS) " in \
613               *$$ws$$tst$$ws*) \
614                 xpass=`expr $$xpass + 1`; \
615                 failed=`expr $$failed + 1`; \
616                 echo "XPASS: $$tst"; \
617               ;; \
618               *) \
619                 echo "PASS: $$tst"; \
620               ;; \
621               esac; \
622             elif test $$? -ne 77; then \
623               all=`expr $$all + 1`; \
624               case " $(XFAIL_TESTS) " in \
625               *$$ws$$tst$$ws*) \
626                 xfail=`expr $$xfail + 1`; \
627                 echo "XFAIL: $$tst"; \
628               ;; \
629               *) \
630                 failed=`expr $$failed + 1`; \
631                 echo "FAIL: $$tst"; \
632               ;; \
633               esac; \
634             else \
635               skip=`expr $$skip + 1`; \
636               echo "SKIP: $$tst"; \
637             fi; \
638           done; \
639           if test "$$failed" -eq 0; then \
640             if test "$$xfail" -eq 0; then \
641               banner="All $$all tests passed"; \
642             else \
643               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
644             fi; \
645           else \
646             if test "$$xpass" -eq 0; then \
647               banner="$$failed of $$all tests failed"; \
648             else \
649               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
650             fi; \
651           fi; \
652           dashes="$$banner"; \
653           skipped=""; \
654           if test "$$skip" -ne 0; then \
655             skipped="($$skip tests were not run)"; \
656             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
657               dashes="$$skipped"; \
658           fi; \
659           report=""; \
660           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
661             report="Please report to $(PACKAGE_BUGREPORT)"; \
662             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
663               dashes="$$report"; \
664           fi; \
665           dashes=`echo "$$dashes" | sed s/./=/g`; \
666           echo "$$dashes"; \
667           echo "$$banner"; \
668           test -z "$$skipped" || echo "$$skipped"; \
669           test -z "$$report" || echo "$$report"; \
670           echo "$$dashes"; \
671           test "$$failed" -eq 0; \
672         else :; fi
673
674 distdir: $(DISTFILES)
675         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
676         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
677         list='$(DISTFILES)'; \
678           dist_files=`for file in $$list; do echo $$file; done | \
679           sed -e "s|^$$srcdirstrip/||;t" \
680               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
681         case $$dist_files in \
682           */*) $(MKDIR_P) `echo "$$dist_files" | \
683                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
684                            sort -u` ;; \
685         esac; \
686         for file in $$dist_files; do \
687           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
688           if test -d $$d/$$file; then \
689             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
690             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
691               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
692             fi; \
693             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
694           else \
695             test -f $(distdir)/$$file \
696             || cp -p $$d/$$file $(distdir)/$$file \
697             || exit 1; \
698           fi; \
699         done
700 check-am: all-am
701         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
702 check: check-am
703 all-am: Makefile $(PROGRAMS)
704 installdirs:
705         for dir in "$(DESTDIR)$(bindir)"; do \
706           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
707         done
708 install: install-am
709 install-exec: install-exec-am
710 install-data: install-data-am
711 uninstall: uninstall-am
712
713 install-am: all-am
714         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
715
716 installcheck: installcheck-am
717 install-strip:
718         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
719           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
720           `test -z '$(STRIP)' || \
721             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
722 mostlyclean-generic:
723
724 clean-generic:
725         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
726
727 distclean-generic:
728         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
729         -rm -f gtnets/$(am__dirstamp)
730         -rm -f masterslave/$(am__dirstamp)
731         -rm -f sendrecv/$(am__dirstamp)
732         -rm -f suspend/$(am__dirstamp)
733
734 maintainer-clean-generic:
735         @echo "This command is intended for maintainers to use"
736         @echo "it deletes files that may require special tools to rebuild."
737 clean: clean-am
738
739 clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
740
741 distclean: distclean-am
742         -rm -rf ./$(DEPDIR)
743         -rm -f Makefile
744 distclean-am: clean-am distclean-compile distclean-generic \
745         distclean-tags
746
747 dvi: dvi-am
748
749 dvi-am:
750
751 html: html-am
752
753 info: info-am
754
755 info-am:
756
757 install-data-am:
758
759 install-dvi: install-dvi-am
760
761 install-exec-am: install-binPROGRAMS
762
763 install-html: install-html-am
764
765 install-info: install-info-am
766
767 install-man:
768
769 install-pdf: install-pdf-am
770
771 install-ps: install-ps-am
772
773 installcheck-am:
774
775 maintainer-clean: maintainer-clean-am
776         -rm -rf ./$(DEPDIR)
777         -rm -f Makefile
778 maintainer-clean-am: distclean-am maintainer-clean-generic
779
780 mostlyclean: mostlyclean-am
781
782 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
783         mostlyclean-libtool
784
785 pdf: pdf-am
786
787 pdf-am:
788
789 ps: ps-am
790
791 ps-am:
792
793 uninstall-am: uninstall-binPROGRAMS
794
795 .MAKE: install-am install-strip
796
797 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
798         clean-binPROGRAMS clean-generic clean-libtool ctags distclean \
799         distclean-compile distclean-generic distclean-libtool \
800         distclean-tags distdir dvi dvi-am html html-am info info-am \
801         install install-am install-binPROGRAMS install-data \
802         install-data-am install-dvi install-dvi-am install-exec \
803         install-exec-am install-html install-html-am install-info \
804         install-info-am install-man install-pdf install-pdf-am \
805         install-ps install-ps-am install-strip installcheck \
806         installcheck-am installdirs maintainer-clean \
807         maintainer-clean-generic mostlyclean mostlyclean-compile \
808         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
809         tags uninstall uninstall-am uninstall-binPROGRAMS
810
811
812 dist-files:
813         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
814         @echo
815         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
816 # Tell versions [3.59,3.63) of GNU make to not export all variables.
817 # Otherwise a system limit (for SysV at least) may be exceeded.
818 .NOEXPORT: